Bug 431642 - anaconda is not adding installed fedora to grub
anaconda is not adding installed fedora to grub
Status: CLOSED DUPLICATE of bug 450203
Product: Fedora
Classification: Fedora
Component: parted (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Joel Andres Granados
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 00:00 EST by cornel panceac
Modified: 2009-01-21 11:17 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 11:17:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
grub.conf (774 bytes, text/plain)
2008-06-08 07:49 EDT, cornel panceac
no flags Details
anaconda dump (it crashed) (156.66 KB, text/plain)
2008-06-08 07:52 EDT, cornel panceac
no flags Details
anaconda log f 10 alpha i686 live cd (17.34 KB, text/plain)
2008-08-06 00:35 EDT, cornel panceac
no flags Details
grub conf f10 alpha i686 live cd (1005 bytes, text/plain)
2008-08-06 00:37 EDT, cornel panceac
no flags Details

  None (edit)
Description cornel panceac 2008-02-06 00:00:56 EST
Description of problem:
f9 alpha x86_64 live cd : during install to hard disk, anaconda does not add
installed fedora (8) to grub

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.install f9 alpha x86_64 live cd to hard disk
2.
3.
  
Actual results:
anaconda does not add installed fedora to grub

Expected results:
anaconda sees and adds all installed operating systems to grub menu


Additional info:
Comment 1 cornel panceac 2008-03-25 15:39:23 EDT
still true for f9beta x86_64 live
Comment 2 Chris Lumens 2008-04-22 11:37:41 EDT
Please attach /var/log/anaconda.log to this bug report, as well as your
grub.conf file.  Thanks.
Comment 3 Bug Zapper 2008-05-14 01:01:10 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Brennan Ashton 2008-06-08 00:14:45 EDT
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 cornel panceac 2008-06-08 07:49:52 EDT
Created attachment 308653 [details]
grub.conf
Comment 6 cornel panceac 2008-06-08 07:52:40 EDT
Created attachment 308654 [details]
anaconda dump (it crashed)
Comment 7 cornel panceac 2008-08-06 00:35:56 EDT
Created attachment 313524 [details]
anaconda log f 10 alpha i686 live cd
Comment 8 cornel panceac 2008-08-06 00:37:58 EDT
Created attachment 313525 [details]
grub conf f10 alpha i686 live cd

as you can see, the installer assumes the added boot entry belongs to an windows-like os.
Comment 9 Chris Lumens 2008-08-06 09:54:23 EDT
Did you get a dialog with the following message in it during installation?

Error: Error informing the kernel about modifications to partition /dev/sdb5 -- Device or resource busy.  This means Linux won't know about any changes you made to /dev/sdb5 until you reboot -- so you shouldn't mount it or use it in any way before rebooting.
Comment 10 cornel panceac 2008-08-06 12:27:54 EDT
yes, as reported here: 
https://bugzilla.redhat.com/show_bug.cgi?id=431641
Comment 11 Chris Lumens 2008-08-11 10:45:40 EDT
Yeah, the error message you are getting is what's then causing this problem with your grub.conf.  The best thing to do here is to (unfortunately) reboot after partitioning and do the exact same partitioning steps again.  I don't really have a better answer for you as far as anaconda goes, but perhaps there is something we could do in parted.
Comment 12 Joel Andres Granados 2008-11-05 13:15:35 EST
This message usually occurs when you attempt to partition on a mounted device.  Was the device you tried to install to mounted? If so Im guessing that this could be addressed in anaconda by doing some sort of mount-check before comiting any parted changes (if this is the case, this bug is a clone of 450203)
Comment 13 Bug Zapper 2008-11-25 21:06:04 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Joel Andres Granados 2009-01-21 11:17:34 EST
I'm dupping these two bugs based on the fact that the error messages are identical.

*** This bug has been marked as a duplicate of bug 450203 ***

Note You need to log in before you can comment on or make changes to this bug.